Name:          maven-jaxb2-plugin
Version:       0.8.1
Release:       11%{?dist}
Summary:       Provides the capability to generate java sources from schemas
License:       BSD and ASL 2.0
URL:           http://java.net/projects/maven-jaxb2-plugin/pages/Home
# svn export https://svn.java.net/svn/maven-jaxb2-plugin~svn/tags/0.8.1/ maven-jaxb2-plugin-0.8.1
# tar -zcvf maven-jaxb2-plugin-0.8.1.tar.gz maven-jaxb2-plugin-0.8.1
Source0:       %{name}-%{version}.tar.gz
# Don't try to use an internal bundled resolver, as this is not available in
# Fedora:
Patch0:        %{name}-dont-use-internal-resolver.patch
# Adapt for Maven 3:
Patch1:        %{name}-adapt-for-maven-3.patch
# Remove the enconding option as the version of the XJC compiler that we build
# in Fedora doesn't have it:
Patch2:        %{name}-remove-enconding-option.patch

BuildArch:     noarch
BuildRequires: java
BuildRequires: maven-local
BuildRequires: xml-commons-resolver
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-anno-plugin
BuildRequires: glassfish-jaxb
BuildRequires: codemodel

%description
This Maven 2 plugin wraps the JAXB 2.x XJC compiler and provides the capability
to generate Java sources from XML Schemas.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
The API documentation of %{name}.

%prep
%setup -q
%patch0 -p1
# Build only version 2.2
%pom_disable_module plugin-2.0
%pom_disable_module plugin-2.1
%pom_disable_module plugin
%pom_disable_module testing
%patch1 -p1
# Add dependency on codemodel:
%pom_add_dep com.sun.codemodel:codemodel:2.6 plugin-2.2
%patch2 -p1

%build

%mvn_file :maven-jaxb22-plugin %{name}
%mvn_file :%{name}-core %{name}-core
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Mon Aug 05 2013 gil cattaneo <puntogil@libero.it> 0.8.1-11
- rebuilt rhbz#992193
- swith to Xmvn
- adapt to new guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.8.1-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jul 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 0.8.1-7
- Added maven-enforcer-plugin build time dependency

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-5
- Added maven-anno-plugin to the runtime requirements

* Mon Mar 12 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-4
- Fixed the license header as some files use ASL 2.0
- Changed the URL to a more reliable one

* Fri Mar 9 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-3
- Added maven-surefire-provider-junit4 to the build requirements

* Wed Feb 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-2
- Cleanup of the spec file

* Sat Jan 21 2012 Marek Goldmann <mgoldman@redhat.com> 0.8.1-2
- Initial packaging

